Loading...
Searching...
No Matches
juce::Vector3D< Type > Class Template Reference

## Detailed Description

template<typename Type>
class juce::Vector3D< Type >

A three-coordinate vector.

The documentation for this class was generated from the following file:

- juce_opengl/geometry/juce_Vector3D.h

## Public Member Functions

| Vector3D () noexcept
| Vector3D (Type xValue, Type yValue, Type zValue) noexcept
| Vector3D (const Vector3D &other) noexcept
Vector3D & | operator= (Vector3D other) noexcept
Vector3D & | operator+= (Vector3D other) noexcept
Vector3D & | operator-= (Vector3D other) noexcept
Vector3D & | operator*= (Type scaleFactor) noexcept
Vector3D & | operator/= (Type scaleFactor) noexcept
Vector3D | operator+ (Vector3D other) const noexcept
Vector3D | operator- (Vector3D other) const noexcept
Vector3D | operator* (Type scaleFactor) const noexcept
Vector3D | operator/ (Type scaleFactor) const noexcept
Vector3D | operator- () const noexcept
Type | operator* (Vector3D other) const noexcept
| Returns the dot-product of these two vectors.
Vector3D | operator^ (Vector3D other) const noexcept
| Returns the cross-product of these two vectors.
Type | length () const noexcept
Type | lengthSquared () const noexcept
Vector3D | normalised () const noexcept
bool | lengthIsBelowEpsilon () const noexcept
| Returns true if the vector is practically equal to the origin.

## Static Public Member Functions

static Vector3D | xAxis () noexcept
| Returns a vector that lies along the X axis.
static Vector3D | yAxis () noexcept
| Returns a vector that lies along the Y axis.
static Vector3D | zAxis () noexcept
| Returns a vector that lies along the Z axis.

## Public Attributes

Type | x
Type | y
Type | z

## Constructors and Destructors

## Vector3D() [1/3]

template<typename Type>

juce::Vector3D< Type >::Vector3D | ( |  | ) |

inline noexcept

## Vector3D() [2/3]

template<typename Type>

juce::Vector3D< Type >::Vector3D | ( | Type | xValue,
|  | Type | yValue,
|  | Type | zValue )

inline noexcept

## Vector3D() [3/3]

template<typename Type>

juce::Vector3D< Type >::Vector3D | ( | const Vector3D< Type > & | other | ) |

inline noexcept

## Member Functions

## operator=()

template<typename Type>

Vector3D & juce::Vector3D< Type >::operator= | ( | Vector3D< Type > | other | ) |

inline noexcept

## xAxis()

template<typename Type>

Vector3D juce::Vector3D< Type >::xAxis | ( |  | ) |

inline static noexcept

Returns a vector that lies along the X axis.

## yAxis()

template<typename Type>

Vector3D juce::Vector3D< Type >::yAxis | ( |  | ) |

inline static noexcept

Returns a vector that lies along the Y axis.

## zAxis()

template<typename Type>

Vector3D juce::Vector3D< Type >::zAxis | ( |  | ) |

inline static noexcept

Returns a vector that lies along the Z axis.

## operator+=()

template<typename Type>

Vector3D & juce::Vector3D< Type >::operator+= | ( | Vector3D< Type > | other | ) |

inline noexcept

## operator-=()

template<typename Type>

Vector3D & juce::Vector3D< Type >::operator-= | ( | Vector3D< Type > | other | ) |

inline noexcept

## operator*=()

template<typename Type>

Vector3D & juce::Vector3D< Type >::operator*= | ( | Type | scaleFactor | ) |

inline noexcept

## operator/=()

template<typename Type>

Vector3D & juce::Vector3D< Type >::operator/= | ( | Type | scaleFactor | ) |

inline noexcept

## operator+()

template<typename Type>

Vector3D juce::Vector3D< Type >::operator+ | ( | Vector3D< Type > | other | ) | const

inline noexcept

## operator-() [1/2]

template<typename Type>

Vector3D juce::Vector3D< Type >::operator- | ( | Vector3D< Type > | other | ) | const

inline noexcept

## operator*() [1/2]

template<typename Type>

Vector3D juce::Vector3D< Type >::operator* | ( | Type | scaleFactor | ) | const

inline noexcept

## operator/()

template<typename Type>

Vector3D juce::Vector3D< Type >::operator/ | ( | Type | scaleFactor | ) | const

inline noexcept

## operator-() [2/2]

template<typename Type>

Vector3D juce::Vector3D< Type >::operator- | ( |  | ) | const

inline noexcept

## operator*() [2/2]

template<typename Type>

Type juce::Vector3D< Type >::operator* | ( | Vector3D< Type > | other | ) | const

inline noexcept

Returns the dot-product of these two vectors.

## operator^()

template<typename Type>

Vector3D juce::Vector3D< Type >::operator^ | ( | Vector3D< Type > | other | ) | const

inline noexcept

Returns the cross-product of these two vectors.

## length()

template<typename Type>

Type juce::Vector3D< Type >::length | ( |  | ) | const

inline noexcept

Referenced by juce::Vector3D< float >::normalised().

## lengthSquared()

template<typename Type>

Type juce::Vector3D< Type >::lengthSquared | ( |  | ) | const

inline noexcept

Referenced by juce::Vector3D< float >::length().

## normalised()

template<typename Type>

Vector3D juce::Vector3D< Type >::normalised | ( |  | ) | const

inline noexcept

## lengthIsBelowEpsilon()

template<typename Type>

bool juce::Vector3D< Type >::lengthIsBelowEpsilon | ( |  | ) | const

inline noexcept

Returns true if the vector is practically equal to the origin.

## Member Data Documentation

## x

template<typename Type>

Type juce::Vector3D< Type >::x

## y

template<typename Type>

Type juce::Vector3D< Type >::y

## z

template<typename Type>

Type juce::Vector3D< Type >::z

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited